<?php

namespace App\Filters;

use CodeIgniter\HTTP\RequestInterface;
use CodeIgniter\HTTP\ResponseInterface;
use CodeIgniter\Filters\FilterInterface;

class AdminFilter implements FilterInterface
{
    public function before(RequestInterface $request, $arguments = null)
    {
        $currentURL = service('request')->getUri()->getPath();

        if (!session()->get('admin_username') && ($currentURL !== '/admin/login' && $currentURL !== '/admin/lupapassword' && $currentURL !== '/admin/resetpassword')) {
            return redirect()->to('/admin/login');
        }
    }

    public function after(RequestInterface $request, ResponseInterface $response, $arguments = null) {}
}
